Subject: bug#24500: 25.1.50; Can't other-window from minibuffer if Ediff control panel frame present

From: Richard Copley <[email-masked]>
Date: Wed, 21 Sep 2016 21:09:46 +0100

On 21 September 2016 at 18:47, Eli Zaretskii <[email-masked]> wrote:
>> From: Richard Copley <[email-masked]>
>> Date: Wed, 21 Sep 2016 18:23:20 +0100
>>
>> C-x b * RET ; create a spare buffer so we can invoke ediff-buffers
>> M-x ediff-buffers RET RET RET
>> C-x 5 o ; Activate main frame
>> M-x     ; Select minibuffer
>> C-x C-o ; Something not very useful happens
>>
>> At this point in the recipe Emacs is in a strange state. The cursor in
>> the minibuffer is solid but not blinking. There are visual changes in
>> the Ediff control frame as though the window is selected, but the
>> Ediff frame isn't actually activated. Typing C-g doesn't exit the
>> minibuffer (which is still reading the command for M-x). Typing a
>> self-inserting character does send that character to the minibuffer,
>> and returns things to normal.
>
> Isn't this just the normal way of having input to one frame being
> redirected to another?

I don't see how it is normal, so I'm probably missing something. The
input to the main frame being redirected to the Ediff frame, or vice
versa? Why? And why did "C-x C-o" put me in that state, be it normal
or otherwise, rather than selecting one of the windows in the main
frame?